class
	S_WS2TCPIP_STATIC

inherit
	CE_UTILITIES

feature {ANY} -- public routines

	getaddrinfo (a_nodename, a_servname: CE_POINTER [INTEGER_8]; a_hints: CE_POINTER [SD_ADDRINFO]; a_res: CE_POINTER [CE_POINTER [SD_ADDRINFO]]): INTEGER_32
		do
			Result := c_getaddrinfo (a_nodename.c_pointer, a_servname.c_pointer, a_hints.c_pointer, a_res.c_pointer)
		end

	c_getaddrinfo (a_nodename: POINTER; a_servname: POINTER; a_hints: POINTER; a_res: POINTER): INTEGER_32
		external
			"C inline use <libmongo.h>"
		alias
			"return getaddrinfo($a_nodename, $a_servname, $a_hints, $a_res);"
		end

	freeaddrinfo (a_p_addr_info: CE_POINTER [SD_ADDRINFO])
		do
			c_freeaddrinfo (a_p_addr_info.c_pointer)
		end

	c_freeaddrinfo (a_p_addr_info: POINTER)
		external
			"C inline use <libmongo.h>"
		alias
			"freeaddrinfo($a_p_addr_info);"
		end

end
