class
	P_SRC_ENCODING_STATIC

inherit
	CE_UTILITIES

feature {ANY} -- public attributes

	trailing_bytes_for_utf8: CE_STATIC [CE_ARRAY [INTEGER_8]]
		once ("PROCESS")
			create Result.make (create {CE_INTEGER_8_ARRAY}.make_initialized (<<
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
					0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1,
					1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2,
					2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5
				>>))
		end

feature {ANY} -- public routines

	is_legal_utf8 (a_source: CE_POINTER [NATURAL_8]; a_length: INTEGER_32): INTEGER_32
		local
			l_a: NATURAL_8
			l_srcptr: CE_POINTER [NATURAL_8]
			l_pos: INTEGER_32
			l_return: BOOLEAN
		do
			create {CE_NATURAL_8_POINTER} l_srcptr.make

			from until l_pos = -1 loop -- -1: return
				inspect l_pos

				-- <function body>
				when 0 then -- execution start:
					l_srcptr := a_source + a_length
					inspect a_length -- switch 1 head
					when 4 then l_pos := -1 + 2
					when 3 then l_pos := -1 + 3
					when 2 then l_pos := -1 + 4
					when 1 then l_pos := -1 + 10
					else l_pos := -1 + 1
					end
				when 1 then -- switch 1, default:
					Result := 0
					l_return := True
				when 2 then -- switch 1, case 4
					if not l_return then
						l_srcptr := l_srcptr - 1
						l_a := l_srcptr.item
						if l_a.to_integer_32 < 128 then
							Result := 0
							l_return := True
						elseif l_a.to_integer_32 > 191 then
							Result := 0
							l_return := True
						end
					end
				when 3 then -- switch 1, case 3
					if not l_return then
						l_srcptr := l_srcptr - 1
						l_a := l_srcptr.item
						if l_a.to_integer_32 < 128 then
							Result := 0
							l_return := True
						elseif l_a.to_integer_32 > 191 then
							Result := 0
							l_return := True
						end
					end
				when 4 then -- switch 1, case 2
					if not l_return then
						l_srcptr := l_srcptr - 1
						l_a := l_srcptr.item
						if l_a.to_integer_32 > 191 then
							Result := 0
							l_return := True
						end
					end
					if l_return then
						l_pos := -1 + 10 -- skip if block
					end
				when 5 then -- if:
						inspect (a_source.item).to_integer_32 -- switch 2 head
						when 224 then l_pos := -1 + 6
						when 240 then l_pos := -1 + 7
						when 244 then l_pos := -1 + 8
						else l_pos := -1 + 9
						end
				when 6 then -- switch 2, case 224
						if l_a.to_integer_32 < 160 then
							Result := 0
							l_return := True
						end
						l_pos := -1 + 10 -- switch 2; break
				when 7 then -- switch 2, case 240
						if l_a.to_integer_32 < 144 then
							Result := 0
							l_return := True
						end
						l_pos := -1 + 10 -- switch 2; break
				when 8 then -- switch 2, case 244
						if l_a.to_integer_32 > 143 then
							Result := 0
							l_return := True
						end
						l_pos := -1 + 10 -- switch 2; break
				when 9 then -- switch 2, default:
						if l_a.to_integer_32 < 128 then
							Result := 0
							l_return := True
						end
				when 10 then -- switch 2, done: | switch 1, case 1
					if not l_return and then ((a_source.item).to_integer_32 >= 128) then
						if (a_source.item).to_integer_32 < 194 then
							Result := 0
							l_return := True
						end
					end
					if not l_return and then ((a_source.item).to_integer_32 > 244) then
						Result := 0
						l_return := True
					end
				when 11 then -- switch 1, done:
					if not l_return then
						Result := 1
					end
				when 12 then
					l_pos := -1 + -1 -- end of function
				end
				-- </function body>

				l_pos := l_pos + 1
			end
		end

	bson_string_is_db_ref (a_string: CE_POINTER [NATURAL_8]; a_length: INTEGER_32): INTEGER_32
		local
			l_result: INTEGER_32
			l_pos: INTEGER_32
		do
			from until l_pos = -1 loop -- -1: return
				inspect l_pos

				-- <function body>
				when 0 then -- execution start:
					l_result := 0
					if not (a_length >= 4) then
						l_pos := -1 + 3 -- skip if block
					end
				when 1 then -- if:
						if (a_string[1]).to_integer_32 = 114 then
							if (a_string[2]).to_integer_32 = 101 then
								if (a_string[3]).to_integer_32 = 102 then
									l_result := 1
								end
							end
						end
				when 2 then -- if block done, skip else block:
						l_pos := -1 + 8
				when 3 then -- else:
						if not (a_length >= 3) then
							l_pos := -1 + 8 -- skip if block
						end
				when 4 then -- if:
						if (a_string[1]).to_integer_32 /= 105 then
							l_pos := -1 + 7 -- skip if block
						end
				when 5 then -- if:
						if (a_string[2]).to_integer_32 = 100 then
							l_result := 1
						else
							l_pos := -1 + 7 -- goto _L
						end
				when 6 then -- if block done, skip else block:
						l_pos := -1 + 8
				when 7 then -- else: | _L:
						if (a_string[1]).to_integer_32 = 100 then
							if (a_string[2]).to_integer_32 = 98 then
								l_result := 1
							end
						end
				when 8 then -- if done | if done
					Result := l_result
				when 9 then
					l_pos := -1 + -1 -- end of function
				end
				-- </function body>

				l_pos := l_pos + 1
			end
		end

	bson_validate_string (a_b: CE_POINTER [PD_BSON]; a_string: CE_POINTER [NATURAL_8]; a_length: INTEGER_32; a_check_utf8, a_check_dot, a_check_dollar: INTEGER_8): INTEGER_32
		local
			l_position: INTEGER_32
			l_sequence_length: INTEGER_32
			l_return: BOOLEAN
		do
			l_position := 0
			l_sequence_length := 1
			if a_check_dollar.to_boolean then
				if (a_string[0]).to_integer_32 = 36 then
					if not (bson_string_is_db_ref (a_string, a_length)).to_boolean then
						a_b.item.err := (a_b.item.err).bit_or ((8))
					end
				end
			end
			from
			until
				not (not (l_return) and then (l_position < a_length))
			loop
				if a_check_dot.to_boolean then
					if (a_string[l_position]).to_integer_32 = 46 then
						a_b.item.err := (a_b.item.err).bit_or ((4))
					end
				end
				if a_check_utf8.to_boolean then
					l_sequence_length := ((trailing_bytes_for_utf8.item[(a_string[l_position]).to_integer_32]).to_integer_32 + 1)
					if l_position + l_sequence_length > a_length then
						a_b.item.err := (a_b.item.err).bit_or ((2))
						Result := (-1)
						l_return := True
					end
					if not l_return then
						if not (is_legal_utf8 (a_string + l_position, l_sequence_length)).to_boolean then
							a_b.item.err := (a_b.item.err).bit_or ((2))
							Result := (-1)
							l_return := True
						end
					end
				end
				if not l_return then
					l_position := l_position + l_sequence_length
				end
			end
			if not l_return then
				Result := 0
			end
		end

	bson_check_string (a_b: CE_POINTER [PD_BSON]; a_string: CE_POINTER [INTEGER_8]; a_length: INTEGER_32): INTEGER_32
		do
			Result := (bson_validate_string (a_b, create {CE_NATURAL_8_POINTER}.make_cast (a_string), a_length, (1).to_integer_8, (0).to_integer_8, (0).to_integer_8))
		end

end
